com.holonplatform.http

## Interface CacheControl.Builder

- All Known Implementing Classes:
    CacheControlDirectives.CacheControlBuilder
  Enclosing interface:
    CacheControl

      public static interface CacheControl.Builder

  `CacheControl` builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CacheControl` | `build()` Build the `CacheControl` instance
    `CacheControl.Builder` | `maxAge(long maxAge)` Set the max-age cache control directive.
    `CacheControl.Builder` | `mustRevalidate(boolean mustRevalidate)` Set the must-revalidate cache control directive.
    `CacheControl.Builder` | `noCache(boolean noCache)` Set the no-cache cache control directive.
    `CacheControl.Builder` | `noStore(boolean noStore)` Set the no-store cache control directive.
    `CacheControl.Builder` | `noTransform(boolean noTransform)` Set the no-transform cache control directive.
    `CacheControl.Builder` | `proxyRevalidate(boolean proxyRevalidate)` Set the proxy-revalidate cache control directive.
    `CacheControl.Builder` | `setPrivate(boolean isprivate)` Set the private cache control directive.
    `CacheControl.Builder` | `sMaxAge(long sMaxAge)` Set the s-maxage cache control directive.

- - ### Method Detail

    - #### mustRevalidate

          CacheControl.Builder mustRevalidate(boolean mustRevalidate)

      Set the must-revalidate cache control directive.
      Parameters:
        `mustRevalidate` - The directive to set
      Returns:
        this

    - #### proxyRevalidate

          CacheControl.Builder proxyRevalidate(boolean proxyRevalidate)

      Set the proxy-revalidate cache control directive.
      Parameters:
        `proxyRevalidate` - The directive to set
      Returns:
        this

    - #### maxAge

          CacheControl.Builder maxAge(long maxAge)

      Set the max-age cache control directive.
      Parameters:
        `maxAge` - The directive to set
      Returns:
        this

    - #### sMaxAge

          CacheControl.Builder sMaxAge(long sMaxAge)

      Set the s-maxage cache control directive.
      Parameters:
        `sMaxAge` - The directive to set
      Returns:
        this

    - #### noCache

          CacheControl.Builder noCache(boolean noCache)

      Set the no-cache cache control directive.
      Parameters:
        `noCache` - The directive to set
      Returns:
        this

    - #### setPrivate

          CacheControl.Builder setPrivate(boolean isprivate)

      Set the private cache control directive.
      Parameters:
        `isprivate` - The directive to set
      Returns:
        this

    - #### noTransform

          CacheControl.Builder noTransform(boolean noTransform)

      Set the no-transform cache control directive.
      Parameters:
        `noTransform` - The directive to set
      Returns:
        this

    - #### noStore

          CacheControl.Builder noStore(boolean noStore)

      Set the no-store cache control directive.
      Parameters:
        `noStore` - The directive to set
      Returns:
        this

    - #### build

          CacheControl build()

      Build the `CacheControl` instance
      Returns:
        CacheControl

Copyright © 2019 The Holon Platform. All rights reserved.